import ecs100.*;
import java.util.*;
import java.awt.Color;


public class City implements Comparable<City>{
    private String name;              
    private double x, y;

    public City(String name, double x, double y) {           
        this.name = name;
        this.x = x;
        this.y = y;
    }
    
    public String getName() {  
        return this.name;    
    }
    
    public double distanceTo(City other) {  
        return Math.hypot(this.x-other.x, this.y-other.y); 
    }

    public String toString(){
        return this.name+"("+(int)x+","+(int)y+")";
    }

    public void draw(double rad){
        UI.fillRect(x-rad, y-rad, rad*2, rad*2);
    }

    public int compareTo(City other){
        if (this==other){ return 0; }
        return this.name.compareTo(other.name);
    }
} 
